Bug 864805 - saving backup file during git mergetool fails
saving backup file during git mergetool fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdiff3 (Show other bugs)
17
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 03:31 EDT by Ferry Huberts
Modified: 2012-12-13 00:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-24 14:57:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Git formatted patch (5.05 KB, patch)
2012-11-21 16:50 EST, Johan Cwiklinski
no flags Details | Diff

  None (edit)
Description Ferry Huberts 2012-10-10 03:31:00 EDT
Description of problem:
saving backup file during git mergetool fails with message 

Could not start process Unable to create io-slave: klauncher said: Unknown protocol ""


Version-Release number of selected component (if applicable):
kdiff3.x86_64   0.9.97-4.fc17

How reproducible:
always

Steps to Reproduce:
1. run 'git mergetool' on a merge or rebase with conflicts
2.
3.
  
Actual results:


Expected results:


Additional info:

See

https://bugs.archlinux.org/task/31813?project=1&openedfrom=-1+week
http://sourceforge.net/p/kdiff3/code/ci/23ad423e4255c80ee22b269f73e20333f7c06678
Comment 1 Johan Cwiklinski 2012-11-21 11:18:23 EST
Bug has also been reported upstream:
https://bugs.kde.org/show_bug.cgi?id=306909

And is fixed now.
I've rebuilt the package successfully (SRPM: http://rpms.ulysses.fr/SRPMS/kdiff3-0.9.97-4.fc17.trashy.src.rpm) with the patch applied; build is ok, install is ok... Well, all seems ok :)

Would it be possible to include the patch?

I can co-maintain if that could help you, just let me know :)
Comment 2 Johan Cwiklinski 2012-11-21 16:50:55 EST
Created attachment 649442 [details]
Git formatted patch
Comment 3 Fedora Update System 2012-11-24 14:27:22 EST
kdiff3-0.9.97-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kdiff3-0.9.97-4.fc18
Comment 4 Fedora Update System 2012-11-24 14:56:16 EST
kdiff3-0.9.97-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kdiff3-0.9.97-5.fc17
Comment 5 Fedora Update System 2012-12-11 01:01:03 EST
kdiff3-0.9.97-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-12-13 00:56:21 EST
kdiff3-0.9.97-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.